The Gnome Chemistry Utils: gcu::CrystalCleavage Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# gcu::CrystalCleavage Class Reference

`#include <gcu/crystalcleavage.h>`

List of all members.

## Public Member Functions
| CrystalCleavage (CrystalCleavage &ccCleavage)
int & | Planes ()
int & | h ()
int & | k ()
int & | l ()
CrystalCleavage & | operator= (CrystalCleavage &ccCleavage)
bool | operator== (CrystalCleavage &ccCleavage)
xmlNodePtr | Save (xmlDocPtr xml)
bool | Load (xmlNodePtr node)
## Protected Attributes
int | m_nh
int | m_nk
int | m_nl
int | m_nPlanes

## Detailed Description

Represents cleavages of a cystal along a plane defined by its Miller indices. A defined number of planes are removed by each cleavage. These are those for which the value hx + ky + lz are the greatest. To remove planes frome the other side of the crystal, change the sign of the three Miller indices.

Definition at line 39 of file crystalcleavage.h.

## Constructor & Destructor Documentation

gcu::CrystalCleavage::CrystalCleavage | ( | CrystalCleavage & | ccCleavage | ) |

Parameters:

  | ccCleavage,: | the cleavage instance to copy.

The copy constructor.

## Member Function Documentation

int& gcu::CrystalCleavage::Planes | ( |  | ) | `[inline]`

Returns:
  the number of planes cleaved.

Definition at line 60 of file crystalcleavage.h.

References m_nPlanes.

int& gcu::CrystalCleavage::h | ( |  | ) | `[inline]`

Returns:
  the Miller's h index of the cleavage plane.

Definition at line 64 of file crystalcleavage.h.

References m_nh.

int& gcu::CrystalCleavage::k | ( |  | ) | `[inline]`

Returns:
  the Miller's k index of the cleavage plane.

Definition at line 68 of file crystalcleavage.h.

References m_nk.

int& gcu::CrystalCleavage::l | ( |  | ) | `[inline]`

Returns:
  the Miller's l index of the cleavage plane.

Definition at line 72 of file crystalcleavage.h.

References m_nl.

CrystalCleavage& gcu::CrystalCleavage::operator= | ( | CrystalCleavage & | ccCleavage | ) |

Parameters:

  | ccCleavage,: | the cleavage to copy.

Returns:
  a CrystalCleavage identical to ccCleavage.

bool gcu::CrystalCleavage::operator== | ( | CrystalCleavage & | ccCleavage | ) |

Parameters:

  | ccCleavage,: | a CrystalCleavage instance.

Returns:
  true if the two cleavages have the same Miller indices and false otherwise.

xmlNodePtr gcu::CrystalCleavage::Save | ( | xmlDocPtr | xml | ) |

Parameters:

  | xml,: | the xmlDoc used to save the document.

Used to save the cleavage to the xmlDoc. Each serializable Object should implement this virtual method.

Returns:
  the xmlNode containing the serialized cleavage.

bool gcu::CrystalCleavage::Load | ( | xmlNodePtr | node | ) |

Parameters:

  | node,: | a pointer to the xmlNode containing the serialized cleavage.

Used to load an CrystalCleavage instance in memory. The CrystalCleavage must already exist.

Returns:
  true on succes, false otherwise.

## Member Data Documentation

int gcu::CrystalCleavage::m_nh`[protected]`

Miller's h index.

Definition at line 103 of file crystalcleavage.h.

Referenced by h().

int gcu::CrystalCleavage::m_nk`[protected]`

Miller's k index.

Definition at line 107 of file crystalcleavage.h.

Referenced by k().

int gcu::CrystalCleavage::m_nl`[protected]`

Miller's l index.

Definition at line 111 of file crystalcleavage.h.

Referenced by l().

int gcu::CrystalCleavage::m_nPlanes`[protected]`

Number of planes cleaved.

Definition at line 115 of file crystalcleavage.h.

Referenced by Planes().

The documentation for this class was generated from the following file:

- crystalcleavage.h